Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.settoremerceologico.pojo
Class SettoreMerceologico

    java.lang.Object
      it.svimservice.nsisr.web.ws.settoremerceologico.pojo.SettoreMerceologico

    public class SettoreMerceologico

extends java.lang.Object

Constructor Summary
`SettoreMerceologico()`

Method Summary
`CreateSettoreMerceologicoResponse` | `setCreateSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi, CreateSettoreMerceologicoRequest request)` Il servizio consente di registrare una proposta di creazione di un nuovo settore merceologico all'interno dell'albero merceologico.
`DeleteSettoreMerceologicoResponse` | `setDeleteSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi, DeleteSettoreMerceologicoRequest request)` Il servizio consente di registrare una proposta di cancellazione di un settore merceologico dall'albero merceologico.
`MoveSettoreMerceologicoResponse` | `setMoveSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi, MoveSettoreMerceologicoRequest request)` Il servizio consente di registrare una proposta di spostamento di livello di un settore merceologico all'interno dell'albero merceologico.
`UpdateSettoreMerceologicoResponse` | `setUpdateSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi, UpdateSettoreMerceologicoRequest request)` Il servizio consente di registrare una proposta di modifica del nome di un settore merceologico identificato attraverso il suo codice.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettoreMerceologico

    public SettoreMerceologico()

Method Detail

### setCreateSettoreMerceologico

    public CreateSettoreMerceologicoResponse setCreateSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi,
                                                                          CreateSettoreMerceologicoRequest request)

  Il servizio consente di registrare una proposta di creazione di un nuovo settore merceologico all'interno dell'albero merceologico.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    CreateSettoreMerceologicoResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

### setDeleteSettoreMerceologico

    public DeleteSettoreMerceologicoResponse setDeleteSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi,
                                                                          DeleteSettoreMerceologicoRequest request)

  Il servizio consente di registrare una proposta di cancellazione di un settore merceologico dall'albero merceologico.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    DeleteSettoreMerceologicoResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

### setMoveSettoreMerceologico

    public MoveSettoreMerceologicoResponse setMoveSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi,
                                                                      MoveSettoreMerceologicoRequest request)

  Il servizio consente di registrare una proposta di spostamento di livello di un settore merceologico all'interno dell'albero merceologico.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    MoveSettoreMerceologicoResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

### setUpdateSettoreMerceologico

    public UpdateSettoreMerceologicoResponse setUpdateSettoreMerceologico(AttributiAutorizzativi attributiAutorizzativi,
                                                                          UpdateSettoreMerceologicoRequest request)

  Il servizio consente di registrare una proposta di modifica del nome di un settore merceologico identificato attraverso il suo codice.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    UpdateSettoreMerceologicoResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD